Last modified: 2014-02-12 23:39:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46450 - grrrit-wm should not relay jenkins-bot merges
grrrit-wm should not relay jenkins-bot merges
Status: REOPENED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 09:54 UTC by Nemo
Modified: 2014-02-12 23:39 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2013-03-22 09:54:05 UTC
Merges by jenkins-bot bear no information: the true information is that someone approved the change. Sure, that everything went well is nice to know, but reviewers/owners/whatever are those who have to check and email notifications take care of that.
Example of redundant info:

10.23 < gerrit-wm> New review: Nikerabbit; "Tested both the old and new editor in couple of cases." [mediawiki/extensions/Translate] (master); 
                   V: 1 C: 2;  - https://gerrit.wikimedia.org/r/54827
10.28 < gerrit-wm> Change merged: jenkins-bot; [mediawiki/extensions/Translate] (master) - https://gerrit.wikimedia.org/r/54827

(Maybe "V: 1 C: 2" is a bit cryptic, but that would be another bug.)
Comment 1 Krinkle 2013-03-26 20:00:17 UTC
Merging into bug 46452.

*** This bug has been marked as a duplicate of bug 46452 ***
Comment 2 Nemo 2013-08-02 13:18:51 UTC
(In reply to comment #1)
> Merging into bug 46452.

Reversed the merge and updated summary: [[wikitech:grrrit-wm]] is the new bot.

It seems this request became controversial, see bug 46452 comment 9, so for now the resolution of bug 46452 means we have basically doubled the traffic on the channel for merges.
Comment 3 Yuvi Panda 2013-08-02 13:34:36 UTC
jenkins-bot merges are asynchronous, so I think it makes sense to not suppress them.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links